Log::Dispatch::Screen(3)

NAME
Log::Dispatch::Screen - Object for logging to the screen

VERSION
version 2.44

SYNOPSIS
  use Log::Dispatch;

  my $log = Log::Dispatch->new(
      outputs => [
          [
              'Screen',
              min_level => 'debug',
              stderr    => 1,
              newline   => 1
          ]
      ],
  );

  $log->alert("I'm searching the city for sci-fi wasabi");

DESCRIPTION
This module provides an object for logging to the screen (really STDOUT or STDERR).

Note that a newline will not be added automatically at the end of a message by default. To do that, pass "newline => 1".

CONSTRUCTOR
The constructor takes the following parameters in addition to the standard parameters documented in Log::Dispatch::Output:

•   stderr (0 or 1)

    Indicates whether or not logging information should go to STDERR. If false, logging information is printed to STDOUT instead. This defaults to true.

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2014 by Dave Rolsky.

This is free software, licensed under:

  The Artistic License 2.0 (GPL Compatible)